package com.gct.aoid.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author gxt
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AoidDeviceWell对象", description="")
@TableName("aoid.aoid_device_well")
public class AoidDeviceWell extends Model<AoidDeviceWell> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "井名")
    private String wellName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "是否为汇总值")
    private String isSummary;

    private String deviceType;
    private String workArea;
    private String wellSystem;
    private String downHoleStructure;
    private String pumpType;
    private String oilMachineType;
    private Double allowableError;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
