package com.gct.aoid.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AoidErrorReload对象", description="")
@TableName(schema = "aoid",value = "AoidErrorReload")
public class AoidErrorReload extends Model<AoidErrorReload> {

    private static final long serialVersionUID=1L;

    @TableId(value = "ID",type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "报错的井口ID")
    private String wellId;

    @ApiModelProperty(value = "报错时间")
    private LocalDateTime errorDate;

    @ApiModelProperty(value = "报错时间")
    private Integer isReload;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
