/**
 * @ClassName SingLegtYidld.java
 * @author gxt
 * @version 1.0.0
 * @Description 量液查询对象
 * @createTime 2021年04月22日 16:52:00
 */
package com.gct.aoid.entity.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * class name: AoidYeildStatVo
 *
 * @author wh
 * @version 1.0
 * @since 2023/11/23
 */
@Data
@ApiModel(value = "AoidYeildAbnormalTrendVo",description = "量液异常趋势统计对象")
public class AoidYeildAbnormalTrendVo {
    @ApiModelProperty(value = "日期")
    private String prodDate;
    @ApiModelProperty(value = "当日量液异常数量")
    private Double  abnormalCount;
    @ApiModelProperty(value = "当日量液异常数量与上个正常日比(0.无效1.下降2.上升)")
    private Integer lastDayAbnormalCountCompare;
    @ApiModelProperty(value = "当日量液异常数量与上个正常日比率")
    private Double lastDayAbnormalCountProduction;

}
