/**
 * @ClassName SingLegtYidld.java
 * @author gxt
 * @version 1.0.0
 * @Description 量液查询对象
 * @createTime 2021年04月22日 16:52:00
 */
package com.gct.aoid.entity.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * class name: AoidYeildStatVo
 *
 * @author wh
 * @version 1.0
 * @since 2023/11/23
 */
@Data
@ApiModel(value = "AoidYeildProportionBarVo",description = "错误工图占比/量液异常占比")
public class AoidYeildProportionBarVo {
    @ApiModelProperty(value = "orgId")
    private String orgId;
    @ApiModelProperty(value = "org名称")
    private String orgName;
    @ApiModelProperty(value = "类型（1.父级2.井）")
    private Integer type;
    @ApiModelProperty(value = "井号")
    private String wellId;
    @ApiModelProperty(value = "井号名称")
    private String wellName;
    @ApiModelProperty(value = "当日错误工图数量")
    private Double  count;

}
