/**
 * @ClassName SingLegtYidld.java
 * @author gxt
 * @version 1.0.0
 * @Description 量液查询对象
 * @createTime 2021年04月22日 16:52:00
 */
package com.gct.aoid.entity.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * class name: AoidYeildStatVo
 *
 * @author wh
 * @version 1.0
 * @since 2023/11/23
 */
@Data
@ApiModel(value = "AoidYeildStatVo",description = "量液统计对象")
public class AoidYeildStatVo {
    @ApiModelProperty(value = "当日总产液量")
    private Double  liqProdDailyTotal;
    @ApiModelProperty(value = "当日日志产液量")
    private Double  a2LiqProdDailyTotal;
    @ApiModelProperty(value = "产液量比较日志产液量(0.无效1.下降2.上升)")
    private Integer liqCompare;
    @ApiModelProperty(value = "当日产量与上月平均产量比(0.无效1.下降2.上升)")
    private Integer avProductionCompare;
    @ApiModelProperty(value = "当日产量与上月平均产量比率")
    private Double avProduction;
    @ApiModelProperty(value = "当日产量与上个正常日比(0.无效1.下降2.上升)")
    private Integer lastDayProductionCompare;
    @ApiModelProperty(value = "当日产量与上个正常日比率")
    private Double lastDayProduction;
    @ApiModelProperty(value = "有效功图数")
    private Integer yxgtsCount;
    @ApiModelProperty(value = "错误功图数")
    private Integer errorgtsCount;
    @ApiModelProperty(value = "量液异常数量")
    private Integer liqProdDailyAbnormalCount;
    @ApiModelProperty(value = "错误工图井数")
    private Integer errorgtsWellCount;
    @ApiModelProperty(value = "无产量井数")
    private Integer notLipWellCount;

}
