package com.gct.aoid.entity.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * class name: JobStatusVo
 *
 * @author gxt
 * @version 1.0
 * @since 2021/8/13 下午2:14 周五
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "JobStatusVo",description = "Job状态对象")
public class JobStatusVo {
    @ApiModelProperty(value = "任务名称")
    private String jobName;
    @ApiModelProperty(value = "状态信息")
    private String status;
    @ApiModelProperty(value = "最后启动时间")
    private String endStartTime;
    @ApiModelProperty(value = "是否启用")
    private boolean state;

}
