package com.gct.aoid.job.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * class name: MutableTriggerConfigProperties
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/7/2 下午2:30
 */
@Data
@ConfigurationProperties(prefix = "gct.quartz.jobs")
public class MutableJobConfigProperties {

    private JobConfigurationProperties calDailyLiqJob;
    private JobConfigurationProperties liqWarnJob;
    private JobConfigurationProperties calAoidLiqError;
    private CoefficientCorrectionJobProperties coefficientCorrectionJob;
    private YieldErrorAnalysisJobProperties YieldErrorAnalysisJob;
    private CalibrationParameterJobProperties CalibrationParameterJob;

}
