package com.gct.aoid.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gct.aoid.entity.AoidSinglewellheavyConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
@Mapper
public interface AoidSinglewellheavyConfigMapper extends BaseMapper<AoidSinglewellheavyConfig> {

    /**
     * 根据工况结果查询模型相关数据
     * @param page
     * @param result
     * @return
     */
    IPage<AoidSinglewellheavyConfig> findAllSinglewellModel(IPage<?> page,
                                                    @Param("hid") double result);
}
