package com.gct.aoid.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.aoid.entity.AoidDailyYield;
import com.gct.aoid.entity.Vo.*;
import com.gct.common.core.result.Result;

import java.lang.reflect.InvocationTargetException;
import java.text.ParseException;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Jyx
 * @since 2021-01-28
 */
public interface AoidDailyYieldRefactorService extends IService<AoidDailyYield> {
    AoidYeildStatVo getAoidDailyYieldStat(AoidYeildVo aoidYeildVo);

    List<AoidYeildStatTrendVo> getAoidDailyYieldStatTrend(AoidYeildVo aoidYeildVo);

    List<AoidYeildErrorGtsTrendVo> getAoidDailyYieldStatErrorGtsTrend(AoidYeildVo aoidYeildVo);

    List<AoidYeildAbnormalTrendVo> getAoidDailyYieldAbnormalTrend(AoidYeildVo aoidYeildVo);

    List<AoidYeildProportionBarVo> getAoidDailyYieldStatErrorGtsBar(AoidYeildVo aoidYeildVo);

    List<AoidYeildProportionBarVo> getAoidDailyYieldAbnormalBar(AoidYeildVo aoidYeildVo);
}
