package com.gct.aoid.service;

import com.gct.aoid.entity.AoidSinglegtYield;

import java.lang.reflect.InvocationTargetException;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.List;

/**
 * interface name: LiqProdDailyCalService
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/7/16 上午10:01 Fri
 */
public interface LiqProdDailyCalService {
    void calculate(String[] orgIDs, String startDate, String  startTimeEveryDay) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;
    void calculate(String[] orgIDs, LocalDateTime startDate, LocalTime  startTimeEveryDay) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;

    void calculate(String wellID, LocalDateTime startDate, LocalTime  startTimeEveryDay) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;

    void calculate(List<String> wellIds, LocalDateTime startDate, LocalTime startTimeEveryDay) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;

    void calculate(String wellID, String start, String end) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;
    void calculate(String wellID, LocalDateTime start, LocalDateTime end) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;

    void  calculate(List<AoidSinglegtYield> lis, LocalDateTime start, LocalDateTime end,Double time) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;
    void calculate(List<String> wellIds, String start,String end) throws InvocationTargetException, IllegalAccessException, InstantiationException, NoSuchMethodException;


}
