package com.gct.aoid.controller;

import com.alibaba.fastjson.JSONObject;
import com.gct.aoid.entity.Vo.JobStatusVo;
import com.gct.aoid.service.EnableOrPauseService;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * class name: EnableOrPauseController
 *
 * @author gxt
 * @version 1.0
 * @since 2021/8/12 下午3:36 周四
 */
@RestController
@RequestMapping("/EnableOrPause")
public class EnableOrPauseController {

    @Autowired
    EnableOrPauseService  enableOrPauseService;

    @GetMapping("/isRunning/{bool}")
    public Result isRunning(@PathVariable("bool") boolean bool){
         return Result.ok(enableOrPauseService.CalDailyLiqJobIsRunning(bool));
    }

    @GetMapping("/getJobName")
    public Result getJobname(){
        return Result.ok(enableOrPauseService.getJobName());
    }
}
