package com.gct.aoid.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="稠油有效冲程计算模型", description="")
@TableName(schema = "aoid",value = "aoid_singlewell_heavyconfig")
public class AoidSinglewellheavyConfig extends Model<AoidSinglewellheavyConfig> {

    private static final long serialVersionUID=1L;

    @TableId(value = "mid",type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "模型id")
    private Double mid;

    @ApiModelProperty(value = "模型id")
    private Double modelid;

    @ApiModelProperty(value = "模型描述")
    private String modeldescribe;




    @Override
    protected Serializable pkVal() {
        return null;
    }

}
