package com.gct.aoid.mapper;

import com.gct.aoid.entity.AoidLiquidAbnormal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gct.aoid.entity.Vo.AoidYeildStatDayVo;
import com.gct.aoid.entity.Vo.AoidYeildStatMonthVo;
import com.gct.aoid.entity.Vo.AoidYeildVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gxt
 * @since 2021-12-21
 */
@Mapper
public interface AoidLiquidAbnormalMapper extends BaseMapper<AoidLiquidAbnormal> {

    List<AoidYeildStatDayVo> selectAoidDailyYieldAbnormalDay(AoidYeildVo aoidYeildVo);

    AoidYeildStatMonthVo selectAoidDailyYieldAbnormalLastDay(@Param("wellIdList") List<String> wellIdList, @Param("localDate") LocalDate localDate);

    List<AoidYeildStatDayVo> selectAoidDailyYieldAbnormalGroupByWellName(AoidYeildVo aoidYeildVo);
}
