package com.gct.aoid.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.aoid.entity.AoidDailyYield;
import com.gct.aoid.entity.Vo.AoidYeildVo;
import com.gct.aoid.entity.Vo.LiqWarringVo;
import com.gct.aoid.entity.YieldErrorAnalysis;
import com.gct.common.core.result.Result;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Jyx
 * @since 2021-01-28
 */

public interface YieldErrorAnalysisService extends IService<YieldErrorAnalysis> {

    /**
     * 添加误差率数据
     * @param yieldErrorAnalysis
     * @return
     */
    Result addYieldErrorAnalysis(YieldErrorAnalysis yieldErrorAnalysis);

    /**
     * 分页查询误差率详细井号
     * @param pageNum
     * @param pageSize
     * @param zyq
     * @param wcStart
     * @param wcEnd
     * @param cylStart
     * @param cylEnd
     * @param dateStart
     * @param dateEnd
     * @return
     */
    IPage<YieldErrorAnalysis> findWellWc(Integer pageNum, Integer pageSize, String zyq, String wcStart,String wcEnd, String cylStart, String cylEnd,String jh,String  dateStart,String dateEnd);



    JSONObject exportExcelYieldError(String zyq, String wcStart,String wcEnd, String cylStart, String cylEnd,String jh,String  dateStart,String dateEnd);

}
